<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>ng-options</title>

    <script src="../Libraries/angular.js"></script>
    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">

    <script>
        var app = angular.module("SampleApp",[]);

        app.controller("SampleAppCtrl", function($scope){
           $scope.items = [{ prop1: "item 1", prop2: 1 },
               { prop1: "item 2", prop2: 2 },
               { prop1: "item 3", prop2: 3 }];
           $scope.selected =$scope.items[0];
        });
    </script>


</head>
<body ng-controller="SampleAppCtrl">

<select ng-model="selected" ng-options="item.prop1 for item in items track by item.prop2"></select>

<br/>
<br/>
<br/>

selected text : {{selected.prop1}} </br>
selected value : {{selected.prop2}}

</body>
</html>